Retrieves a specified order.
Catalog API (2.0.0)
- Version: 2.0.0
- Servers:
https://store.xsolla.com/api - Contact Us by Email
- Contact URL: https://xsolla.com/
- Required TLS version: 1.2
Catalog API provides endpoints to manage your in-game store catalog and process purchases. Use the endpoints to configure virtual items, virtual currencies, game keys, bundles, cart and payment flows, item attributes, and import items from external sources.
Download OpenAPI description
Languages
Servers
Mock server
https://xsolla.redocly.app/_mock/api/catalog/
https://store.xsolla.com/api/
Path
Project ID. You can find this parameter in your Publisher Account next to the name of the project.
Example: 44056
- Mock serverhttps://xsolla.redocly.app/_mock/api/catalog/v2/project/{project_id}/order/{order_id}
- https://store.xsolla.com/api/v2/project/{project_id}/order/{order_id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
https://xsolla.redocly.app/_mock/api/catalog/v2/project/44056/order/656 \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Response
application/json
{ "order_id": 1, "status": "paid", "content": { "price": { … }, "is_free": false, "items": [ … ] } }
Path
Bodyapplication/jsonProject ID. You can find this parameter in your Publisher Account next to the name of the project.
Example: 44056
Order search parameters
Number of the order from which the list is generated (the count starts from 0).
Default 0
Start date or date-time of the order creation period per ISO 8601.
Example: "2020-04-15T18:16:00+05:00"
End date or date-time of the order creation period per ISO 8601.
Example: "2020-04-16T18:16:00+05:00"
- Mock serverhttps://xsolla.redocly.app/_mock/api/catalog/v3/project/{project_id}/admin/order/search
- https://store.xsolla.com/api/v3/project/{project_id}/admin/order/search
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
https://xsolla.redocly.app/_mock/api/catalog/v3/project/44056/admin/order/search \
-H 'Content-Type: application/json' \
-d '{
"offset": 0,
"limit": 5,
"created_date_from": "2018-01-07T00:00:00+03:00",
"created_date_until": "2018-01-09T16:00:00+03:00"
}'Response
application/json
{ "orders": [ { … }, { … }, { … } ], "total_items_count": 11, "has_more": true }